
set -x

REVISION=0

# first, let's try git
git_path=($( which git ))
if [ -x "$git_path" ]
then
  branch=${1:-'master'}
  git_status=($( $git_path status 2>&1))
  if [[ $git_status != *"fatal"* ]]
  then
    # work out the current branch
    branch_name=$(git symbolic-ref -q HEAD)
    branch_name=${branch_name##refs/heads/}
    branch=${branch_name:-HEAD}

    # get the number of commits on this branch
    buildNumber=$(expr $($git_path rev-list $branch --count) - $($git_path rev-list HEAD..$branch --count))
#    buildNumber="418"

    # append a 'b' if doing a beta build
#    configuration=${CONFIGURATION}
#    if [[ $configuration == "Release" ]]
#    then
#        buildNumber="${buildNumber}b"
#    fi

    revisionHash=$($git_path rev-parse $branch --verify HEAD)

    echo "Source Info.plist file is at ""$SRCROOT"/"$INFOPLIST_FILE"
    echo "Target Info.plist file is at ""${TARGET_BUILD_DIR}/${INFOPLIST_PATH}"
    echo "Subversion Revision Number is $SUBVERSION_REVISION_NUMBER"

    defaults write "${TARGET_BUILD_DIR}/${INFOPLIST_PATH}" "CFBundleVersion" "$buildNumber"
    defaults write "${TARGET_BUILD_DIR}/${INFOPLIST_PATH}" "RWRevisionHash" "$revisionHash"

    dsym_info_plist="$BUILT_PRODUCTS_DIR/$PRODUCT_NAME.app.dSYM/Contents/Info.plist"

    if [ -f "$dsym_info_plist" ]
    then
      defaults write "$dsym_info_plist" "CFBundleVersion" "$buildNumber"
    fi
    
    exit 0
  fi
fi
